import { IToastLink } from "./Toast";
import { IToastObject, IToastSettings } from "./ToastMaster";
declare type IToastOptions = {
    duration?: number;
    hasCloseButton?: boolean;
    type?: "persisting" | "temporary";
    link?: IToastLink;
};
export default class Toaster {
    notifyHandler: ((settings: IToastSettings) => IToastObject) | null;
    closeAllHandler: (() => void) | null;
    constructor();
    success(text: string, settings?: IToastOptions): void;
    informational(text: string, settings?: IToastOptions): void;
    error(text: string, settings?: IToastOptions): void;
    closeAll(): void;
    private _bindNotify;
    private _bindCloseAll;
}
export {};
